WRInterleavedAccelerationEvent
Keywords: wiiremotej.event.WRInterleavedAccelerationEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej.event
Class WRInterleavedAccelerationEvent

    java.lang.Object
      java.util.EventObject
          wiiremotej.event.WREvent
              wiiremotej.event.WRAccelerationEvent
                  wiiremotej.event.WRInterleavedAccelerationEvent

All Implemented Interfaces:
  java.io.Serializable

    public class WRInterleavedAccelerationEvent

extends WRAccelerationEvent

Interleaved acceleration event for Nintendo (R) Wii Remote (TM). Used to combine data from interleaved input to create a cohesive WRAccelerationEvent. Public methods are the same. Only structure changes. Note that the yaw is not available, as it is hard to determine from gravity, assuming the remote is being held level.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WRInterleavedAccelerationEvent(WiiRemote source, byte[] packet1, byte[] packet2)` Creates a new WRInterleavedAccelerationEvent from the given input.

Method Summary

Methods inherited from class wiiremotej.event.WRAccelerationEvent
`getPitch, getRoll, getXAcceleration, getYAcceleration, getZAcceleration, isStill`

Methods inherited from class wiiremotej.event.WREvent
`getSource`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WRInterleavedAccelerationEvent

    public WRInterleavedAccelerationEvent(WiiRemote source,
                                          byte[] packet1,
                                          byte[] packet2)

  Creates a new WRInterleavedAccelerationEvent from the given input.

  Parameters:
    `source` - the WiiRemote triggering this event.
    `packet1` - the first packet of interleaved data to parse for acceleration data.
    `packet2` - the second packet of interleaved data to parse for acceleration data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD